#include <iostream>
#include <fstream>
#include <ctime>
#include <algorithm>
#include <random>
using namespace std;

mt19937 rg;

int main()
{
    rg.seed(time(0));

    int x;
    cin >> x;
    string s;
    cin >> s;
    ofstream in(s + ".in");
    ofstream sol(s + ".sol");

    in << x << endl;
    string bs = "";

    for (int i = 0; i < x ; ++ i)
    {
        bs += (char)('0' + rg() % 2);

    }
    //random_shuffle(bs.begin(), bs.end());
    in << bs << endl;
    in.close();
    sol.close();

}



/*
1 - 2
2 - 4
3 - 6
4 - 8
5 - 10
6 - 20
7 - 40
8 - 60
9 - 80
10 - 100
11 - 200
12 - 400
13 - 600
14 - 800
15 - 964 only 0 or only 1
16 - 988 sorted string
17 - 948 half 0, half 1
18 - 956 random
19 - 972 random
20 - 1000 random
*/
